﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-ios'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/25266724e7bd/TargetSupportInstaller/UnitySetup-iOS-Support-for-Editor-2021.3.34f1.exe'
$checksum64     = 'c245ed04bd23280e7ffb34b1bf7c565f843e475eb5c9910e414099c179044ab8'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
